"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.App = void 0;
const rowan_1 = require("rowan");
const middleware_1 = require("./middleware");
/***/
class App extends rowan_1.Rowan {
    constructor(opts) {
        super();
        this.meta = { type: "App" };
        let { controllers, root } = opts;
        for (let controller of controllers) {
            let router = middleware_1.Router.fromController(controller, root);
            if (router) {
                this.use(router);
            }
        }
    }
}
exports.App = App;
