import { Middleware } from "rowan";
import { Codex } from '../util';
import { Context } from "../context";
/**
 * Adds a Lazy data decoder to the incoming message
 */
export default class BodyDecoder implements Middleware<Context> {
    private _codex;
    constructor(_codex: Codex);
    meta: {
        type: "BodyDecoder";
    };
    process(ctx: Context, next: (ctx?: Context) => Promise<void>): Promise<void>;
}
