import { Middleware } from "rowan";
import { Codex } from '../util';
import { Context } from "../context";
/**
 * Encodes the outgoing message data
 */
export default class BodyEncoder implements Middleware<Context> {
    private _codex;
    private defaultEncoding;
    constructor(_codex: Codex, defaultEncoding?: string);
    meta: {
        type: "BodyEncoder";
    };
    process(ctx: Context, next: (ctx?: Context) => Promise<void>): Promise<void>;
}
