"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalisePath = normalisePath;
function normalisePath(...join) {
    let path = "/";
    for (let next of join) {
        if (typeof (next) != "string" || next.length <= 0) {
            continue;
        }
        if (path.endsWith("/") == false) {
            path += "/";
        }
        path += next;
    }
    return path.replace(/[\/]{2,}/g, "/");
}
