import { Rowan, Middleware } from "rowan";
import { RequestContext, Context } from "../context";
/**
 * Pull-Based Router for an async iterable, intended to be used by an interceptor
 **/
export declare class IteratorRouter extends Rowan<RequestContext> {
    constructor(iterable: Iterable<any> | AsyncIterable<any>, dispose: () => void);
}
export declare class UpgradeOutgoingIterable implements Middleware<Context> {
    process(ctx: Context, next: () => Promise<void>): Promise<void>;
}
export declare class UpgradeIncomingIterable implements Middleware<Context> {
    process(ctx: Context, next: () => Promise<void>): Promise<void>;
}
