import { Context, RequestContext } from '../context';
import { Rowan, Middleware } from "rowan";
export declare class ReadableStreamSender extends Rowan<RequestContext> {
    private _complete;
    constructor(readable: ReadableStream<any>, dispose: () => void);
    get complete(): Promise<void>;
}
export declare function isReadableStream(obj: any): obj is ReadableStream<any>;
export declare class UpgradeOutgoingReadableStream implements Middleware<Context> {
    meta: {
        type: "OutgoingReadableStream";
    };
    process(ctx: Context, next: () => Promise<void>): Promise<void>;
}
export declare class UpgradeIncomingReadableStream implements Middleware<Context> {
    meta: {
        type: "IncomingReadableStream";
    };
    process(ctx: Context, next: () => Promise<void>): Promise<void>;
}
