import { Middleware } from "rowan";
import { Context } from "../context";
import { FrameEncoder } from "@viae/pb";
/**
 * Sends the outgoing message and terminates
 */
export default class Send<Ctx extends Context = Context> implements Middleware<Context> {
    private _encoder;
    constructor(_encoder: FrameEncoder);
    meta: {
        type: "Send";
    };
    process(ctx: Context, next: (ctx?: Context) => Promise<void>): Promise<void>;
}
