export interface Codex {
    [encoding: string]: Encoder;
}
export interface Encoder {
    encode(value: any): Uint8Array;
    decode(value: Uint8Array): any;
}
export declare namespace Codex {
    function createDefault(): Codex;
}
export declare function textToBytes(s: string): Uint8Array;
export declare function bytesToText(ua: Uint8Array): string;
