import { Rowan, Processor } from "rowan";
import { Context } from "./context";
import { WireServer } from "@viae/core";
import { Via } from "./via";
import { Log } from "./log";
export declare class Viae<Ctx extends Context = Context> extends Rowan<Context> {
    private _connections;
    private _ev;
    private _before;
    get connections(): Via<Context>[];
    constructor(server: WireServer, opts?: {
        log?: Log;
        middleware?: Processor<Ctx>[];
    });
    on(event: "connection", cb: (connection: Via<Ctx>) => void): void;
    before(processor: Processor<Ctx>): this;
    static Log: Log;
    static extractRoutes(viae: Viae): {
        method: string;
        path: string;
    }[];
}
